/** @file cocoa_volumepanel.h

 HITACHI MB-S1 Emulator 'EmuB-S1'
 Skelton for retropc emulator
 SDL edition + Cocoa GUI

 @author Sasaji
 @date   2015.04.30 -

 @brief [ volume panel ]
 */

#ifndef _COCOA_VOLUMEPANEL_H_
#define _COCOA_VOLUMEPANEL_H_

#import <Cocoa/Cocoa.h>
#import "cocoa_basepanel.h"

@interface CocoaVolumePanel : CocoaBasePanel
{
	int  *p_volume[13];
	bool *p_mute[13];
	CocoaLabel *p_lbl[13];
}
- (id)init;
- (NSInteger)runModal;
- (void)close;
- (void)dialogClose:(id)sender;

- (void)setPtr;
- (void)setVolumeText:(int)idx;

- (bool)mute:(int)idx;
- (int)volume:(int)idx;

- (void)changeSlider:(CocoaSlider *)sender;
- (void)changeMute:(CocoaCheckBox *)sender;
@end

#endif /* _COCOA_VOLUMEPANEL_H_ */
