﻿/** @file vkeyboard.h

	Skelton for retropc emulator

	@author Sasaji
	@date   2017.11.01 -

	@brief [ virtual keyboard ]
*/

#ifndef _VKEYBOARD_H_
#define _VKEYBOARD_H_

#include "../common.h"

#if defined(USE_WIN)
#include "../osd/windows/win_vkeyboardbase.h"
#elif defined(USE_SDL) || defined(USE_SDL2) || defined(USE_WX)
#include "../osd/SDL/sdl_vkeyboardbase.h"
#elif defined(USE_QT)
#include "../osd/qt/qt_vkeyboardbase.h"
#endif

#endif /* _VKEYBOARD_H_ */

